PETSc version 3.15.5
Fix/Edit manual page

# DMSwarmGetLocalSize

Retrives the local length of fields registered

### Synopsis

    #include "petscdmswarm.h"
    PetscErrorCode DMSwarmGetLocalSize(DM dm,PetscInt *nlocal)

Not collective

### Input parameter

| dm | - a DMSwarm

### Output parameter

| nlocal | - the length of each registered field

### See Also

DMSwarmGetSize(), DMSwarmSetLocalSizes()

### Level

beginner

### Location

src/dm/impls/swarm/swarm.c

### Examples

src/dm/tutorials/swarm_ex1.c.html
src/dm/tutorials/swarm_ex2.c.html
src/dm/tutorials/swarm_ex3.c.html
src/ksp/ksp/tutorials/ex70.c.html
Index of all DMSWARM routines
Table of Contents for all manual pages
Index of all manual pages